package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_PATH_RESULT_D所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-11-20
 */
@SuppressWarnings("serial")
public class MchPathResultDEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 序号
     */
    private String seq = "";
    /**
     * 测量时间
     */
    private String measurementTime = "";
    /**
     * 通径头编号
     */
    private String driftModelNo = "";
    /**
     * 通径头有效长度
     */
    private String driftModelLen = "";
    /**
     * 测量-端部
     */
    private String measuredEndPart = "";
    /**
     * 测量-中部
     */
    private String measuredMiddlePart = "";
    /**
     * 测量-尾部
     */
    private String measuredTailPart = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 测量时间
     * @return value
     */
    public String getMeasurementTime() {
        return measurementTime;
    }

    /**
     * 测量时间
     * @param measurementTime value
     */
    public void setMeasurementTime(String measurementTime) {
        this.measurementTime = measurementTime;
    }

    /**
     * 通径头编号
     * @return value
     */
    public String getDriftModelNo() {
        return driftModelNo;
    }

    /**
     * 通径头编号
     * @param driftModelNo value
     */
    public void setDriftModelNo(String driftModelNo) {
        this.driftModelNo = driftModelNo;
    }

    /**
     * 通径头有效长度
     * @return value
     */
    public String getDriftModelLen() {
        return driftModelLen;
    }

    /**
     * 通径头有效长度
     * @param driftModelLen value
     */
    public void setDriftModelLen(String driftModelLen) {
        this.driftModelLen = driftModelLen;
    }

    /**
     * 测量-端部
     * @return value
     */
    public String getMeasuredEndPart() {
        return measuredEndPart;
    }

    /**
     * 测量-端部
     * @param measuredEndPart value
     */
    public void setMeasuredEndPart(String measuredEndPart) {
        this.measuredEndPart = measuredEndPart;
    }

    /**
     * 测量-中部
     * @return value
     */
    public String getMeasuredMiddlePart() {
        return measuredMiddlePart;
    }

    /**
     * 测量-中部
     * @param measuredMiddlePart value
     */
    public void setMeasuredMiddlePart(String measuredMiddlePart) {
        this.measuredMiddlePart = measuredMiddlePart;
    }

    /**
     * 测量-尾部
     * @return value
     */
    public String getMeasuredTailPart() {
        return measuredTailPart;
    }

    /**
     * 测量-尾部
     * @param measuredTailPart value
     */
    public void setMeasuredTailPart(String measuredTailPart) {
        this.measuredTailPart = measuredTailPart;
    }
}